/* eslint "no-console": "off" */

import { exec } from 'child_process';
import { test } from 'babel-tap';

test('It should return a valid response for test', (t) => {
  const cmd = `cd build &&
    ../node_modules/.bin/sls invoke local -p '../event/event.json' -f test --stage test`;

  exec(cmd, (err, stdout) => {
    if (err) {
      console.error(err, stdout);
      return t.error(err);
    }

    const output = JSON.parse(stdout);
    t.same(output.statusCode, 200, 'The returned status code is 200');
    return t.end();
  });
});
